Get Status
External Get prediction status of sample
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "status": {
- "model_1": "status",
- "model_2": "Status"
}, - "detailed_status": {
- "model_1": {
- "phase_1": "status",
- "phase_2": "status"
}, - "model_2": {
- "phase_1": "status",
- "phase_2": "status"
}
}
}Get Results
External Get prediction results of sample
path Parameters
| model_name required | string (Name) Value: "FESTIVE Func Sim" |
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "model": "FESTIVE Func Sim",
- "error_details": null,
- "sha256_hash": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8",
- "predicted_at": "2025-05-15T14:30:45.123456",
- "celery_task_id": "550e8400-e29b-41d4-a716-446655440000",
- "prediction_results": null,
- "explanation_results": null
}Revoke Prediction Task
External Revoke prediction task that's currently running
path Parameters
| model_name required | string (Name) Value: "FESTIVE Func Sim" |
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "detail": "Prediction Task [celery_task_id] revoked"
}Revoke Task
Internal Interfaces directly with AMQP to revoke task
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "sample_id": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8"
}Queue Status Retrieval
Internal Interfaces directly with AMQP to get status
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "id": "550e8400-e29b-41d4-a716-446655440000"
}Queue FESTIVE Task
Internal Queue prediction task to FESTIVE
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "sample_id": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8"
}Create Prediction
Internal Create prediction row in db
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
| model_name required | string (Name) Value: "FESTIVE Func Sim" |
Responses
Response samples
- 200
- 422
Content type
application/json
nullCreate Link
Internal Create link row in db
path Parameters
| celery_task_id required | string <uuid> (Task ID) Example: 550e8400-e29b-41d4-a716-446655440000 |
| sample_uuid required | string <uuid> (Sample UUID) Example: 0ec00790-47f4-443e-9372-f7b458597b19 |
Responses
Response samples
- 200
- 422
Content type
application/json
nullRead Predictions
Internal Read all model predictions of one hash
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
[- {
- "model": "FESTIVE Func Sim",
- "error_details": null,
- "sha256_hash": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8",
- "predicted_at": "2025-05-15T14:30:45.123456",
- "celery_task_id": "550e8400-e29b-41d4-a716-446655440000",
- "prediction_results": null,
- "explanation_results": null
}
]Read Prediction Info
Internal Read all model predictions of one hash but without results
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
[- {
- "model": "FESTIVE Func Sim",
- "error_details": null,
- "sha256_hash": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8",
- "predicted_at": "2025-05-15T14:30:45.123456",
- "celery_task_id": "550e8400-e29b-41d4-a716-446655440000"
}
]Read Prediction
Internal Read one model prediction of one hash
path Parameters
| model_name required | string (Name) Value: "FESTIVE Func Sim" |
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "model": "FESTIVE Func Sim",
- "error_details": null,
- "sha256_hash": "b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8",
- "predicted_at": "2025-05-15T14:30:45.123456",
- "celery_task_id": "550e8400-e29b-41d4-a716-446655440000",
- "prediction_results": null,
- "explanation_results": null
}Read Link
Internal Read link given the celery task id
path Parameters
| celery_task_id required | string <uuid> (Task ID) Example: 550e8400-e29b-41d4-a716-446655440000 |
Responses
Response samples
- 200
- 422
Content type
application/json
{- "celery_task_id": "550e8400-e29b-41d4-a716-446655440000",
- "sample_uuid": "0ec00790-47f4-443e-9372-f7b458597b19"
}Update Celery Task ID
Internal Update Prediction row with celery task id
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
| model required | string (Name) Value: "FESTIVE Func Sim" |
| celery_task_id required | string <uuid> (Task ID) Example: 550e8400-e29b-41d4-a716-446655440000 |
Responses
Response samples
- 200
- 422
Content type
application/json
nullUpdate Predictions
Internal Update empty prediction row with results
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
| model required | string (Name) Value: "FESTIVE Func Sim" |
query Parameters
| error_details | string (Error) |
Request Body schema: application/json
| prediction_results | dict <dict[str, str | dict[str, dict[str, str]]]> (Prediction) |
Responses
Request samples
- Payload
Content type
application/json
{- "prediction_results": null
}Response samples
- 200
- 422
Content type
application/json
nullUpdate Explanations
Internal Update empty prediction row with explanation
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
| model required | string (Name) Value: "FESTIVE Func Sim" |
query Parameters
| error_details | string (Error) |
Request Body schema: application/json
| explanation_results | string <str> (Explanation) |
Responses
Request samples
- Payload
Content type
application/json
{- "explanation_results": "string"
}Response samples
- 200
- 422
Content type
application/json
nullDelete prediction
Internal Delete prediction row
path Parameters
| sha256_hash required | string (Hash) = 64 characters Example: b8af48fc5dc8371d6b00b16029e9ab9027e2da86fa6d8dbda181df464226a3a8 |
| model required | string (Name) Value: "FESTIVE Func Sim" |
Responses
Response samples
- 200
- 422
Content type
application/json
nullResponse samples
- 200
Content type
application/json
{- "description": "string",
- "attribution-api": "string",
- "crystal-ball": "string",
- "prediction-store": "string",
- "model_name_1": {
- "container_1": "x.x.x",
- "container_2": "x.x.x"
}, - "model_name_2": {
- "container_1": "x.x.x",
- "container_2": "x.x.x"
}
}